#ifndef VECTOR_H
#define VECTOR_H


/*
  Cartesian coordinate vector for the model
*/
struct MVECTOR
    {
    double x;
    double y;
    double z;
    };

/*
  State vectors
*/
struct STATE
    {
    struct MVECTOR target;
    double mag;
    struct MVECTOR vel;
    double vmag;
    };

/*
  Attitude corrections vectors
*/
struct ATTITUDE
    {
    struct MVECTOR posvec;	/* Position of the satellite vector	     */
    struct MVECTOR angvec;	/* Angular momentum vector		     */
    struct MVECTOR dirvec;	/* Direction of motion vector		     */
    };

#endif
