.SUFFIXES: .pdf .html


#----------------------------------------------------------------------------
# Set up the compiler options.  Define INC to be the include files that are
# part of this application only.  Do not list include files from ADAPSINCLUDE
# or LASINCLUDE.
#----------------------------------------------------------------------------
OPTS	= $(CFLAGS) -I$(LASINCLUDE) -I$(TAEINC)
INC	= add2stat.h


#-------------------------------------------------------
# Define the executable(s), the pdf(s), and the html(s).
#-------------------------------------------------------
EXECS	= add2stat
HTMLS	= add2stat.html
PDFS	= $(HTMLS:.html=.pdf)


#---------------------------------------------------------
# Define the source code object files for each executable.
#---------------------------------------------------------
SRC	= \
	add2stat.c \
	add_pick.c \
	copy_base.c \
	erase_lines.c \
	getpar.c \
	stat_copy.c
OBJ	= $(SRC:.c=.o)


#--------------------------------------------------------
# Standard list of object libraries.  Delete those that
# are not necessary and add additional ones if necessary.
#--------------------------------------------------------
OBJLIB	= \
	$(LASLIB)/las.a \
	$(LASLIB)/geolib.a \
	$(LASLIB)/statio.a \
	$(LASLIB)/world.a \
	$(LASLIB)/tae.a \
	$(TAELIB)/clib.a \
	$(TAELIB)/lib.a


#------------------------------------------------------------------------------
# Targets for each executable.  You should have two targets for each executable
# that is created.  One to create the executable and one to load it into the
# CenterLine debugger.
#------------------------------------------------------------------------------
all: $(EXECS) $(HTMLS)

add2stat: $(OBJ) $(OBJLIB) $(INC)
	$(CC) $(OPTS) -o add2stat $(OBJ) $(OBJLIB) $(TRLIB)

xcenter:
	#load $(OPTS) $(SRC) $(OBJLIB) $(INC) $(TRLIB)
	#link


#--------------------------------------------------
# Target to distribute the executable(s) and pdf(s)
#--------------------------------------------------
las: $(EXECS)
	cp $(PDFS) $(DSTDIR)
	mv $(EXECS) $(DSTDIR)


#-----------------------------------------------------------------------------
# Rules for compiling the object files.  If you have multiple groups of object
# files, add one dependency of the form "$(OBJS): $(INC)" for each group of
# object files.
#-----------------------------------------------------------------------------
$(OBJ): $(INC)

.c.o:
	$(CC) $(OPTS) -c $<


#------------------------------
# Make all of the documentation
#------------------------------
doc: $(HTMLS)
	mv $(HTMLS) $(DSTDIR)

.pdf.html:
	pdfhtml $*


#--------------------------------------
# Clean up objects and other misc files
#--------------------------------------
clean:
	/bin/rm -f $(EXECS) $(HTMLS) core make.log
	/bin/rm -f *.o *.a
